function onBegin()
    disableMovement()
    say("Angleversario_angle_final")
    setFlag("luonsusto")
    setFlag("luondesmoggado")
    say("Angleversario_angle_final2")
    setFlag("luonsusto", false)
    setFlag("luonolhasowiat")
    setFlag("sowiat")
    wait(2)
    say("Angleversario_angle_sowiat")
    setFlag("sowiatmagia")
    setFlag("sowiat", false)
    setFlag("portal")
    setFlag("luonolhasowiat", false)
    setFlag("luonportal")
    say("Angleversario_angle_sowiat2")
    setFlag("portal", false)
    setFlag("luonportal", false)
    setFlag("portalfecha")
    wait(2)
    setFlag("sowiatvolta")
    setFlag("sowiatmagia",false) 
    wait(1)
    say("Angleversario_angle_sowiat3")
    setFlag("sowiatmagia") 
    setFlag("sowiatvolta", false)
    wait(2)
    enableMovement()
    setFlag("teleporte") 
end

function onEnd(room, wasSkipped)
    if wasSkipped then
        enableMovement()
        setFlag("teleporte")
        enableMovement()
    end

end